//+------------------------------------------------------------------+
//|                                                Camarilla az1.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

#property indicator_chart_window
#property indicator_buffers 8
#property indicator_color1 Aqua
#property indicator_color2 SkyBlue
#property indicator_color3 DodgerBlue
#property indicator_color4 Blue
#property indicator_color5 Gold
#property indicator_color6 Orange
#property indicator_color7 DarkOrange
#property indicator_color8 Red




int TimeFrame=1440;


//---- buffers
double ExtMapBufferH1[];
double ExtMapBufferH2[];
double ExtMapBufferH3[];
double ExtMapBufferH4[];
double ExtMapBufferL1[];
double ExtMapBufferL2[];
double ExtMapBufferL3[];
double ExtMapBufferL4[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   
//---- indicator line
   
   SetIndexBuffer(0,ExtMapBufferH1);
   SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,2);
   SetIndexLabel(0,"Camirilla H1");   
   
   SetIndexBuffer(1,ExtMapBufferH2);
   SetIndexStyle(1,DRAW_LINE,STYLE_SOLID,2);
   SetIndexLabel(1,"Camarilla H2");
   
   SetIndexBuffer(2,ExtMapBufferH3);
   SetIndexStyle(2,DRAW_LINE,STYLE_SOLID,2);
   SetIndexLabel(2,"Camirilla H3");   
   
   SetIndexBuffer(3,ExtMapBufferH4);
   SetIndexStyle(3,DRAW_LINE,STYLE_SOLID,2);
   SetIndexLabel(3,"Camarilla H4");
   
   SetIndexBuffer(4,ExtMapBufferL1);
   SetIndexStyle(4,DRAW_LINE,STYLE_SOLID,2);
   SetIndexLabel(4,"Camirilla L1");   
   
   SetIndexBuffer(5,ExtMapBufferL2);
   SetIndexStyle(5,DRAW_LINE,STYLE_SOLID,2);
   SetIndexLabel(5,"Camarilla L2"); 
   
   SetIndexBuffer(6,ExtMapBufferL3);
   SetIndexStyle(6,DRAW_LINE,STYLE_SOLID,2);
   SetIndexLabel(6,"Camirilla L3");   
   
   SetIndexBuffer(7,ExtMapBufferL4);
   SetIndexStyle(7,DRAW_LINE,STYLE_SOLID,2);
   SetIndexLabel(7,"Camarilla L4");   


//---- name for DataWindow and indicator subwindow label   
   switch(TimeFrame)
   {
      case 1 : string TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current Timeframe";
   } 
   IndicatorShortName("Camarilla az1 "+TimeFrameStr);  
  }
//----
   return(0);
 
//+------------------------------------------------------------------+
//| MTF Fractals                                                     |
//+------------------------------------------------------------------+
int start()
  {
   datetime TimeArray[];
   int    i,shift,limit,y=0,counted_bars=IndicatorCounted();
    
// Plot defined timeframe on to current timeframe   
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   
   limit=Bars-counted_bars+TimeFrame/Period();
   for(i=0,y=0;i<limit;i++)
   {
   if (Time[i]<TimeArray[y]) y++; 
   
 /***********************************************************   
   Add your main indicator loop below.  You can reference an existing
      indicator with its iName  or iCustom.
   Rule 1:  Add extern inputs above for all neccesary values   
   Rule 2:  Use 'TimeFrame' for the indicator timeframe
   Rule 3:  Use 'y' for the indicator's shift value
 **********************************************************/  
     

      ExtMapBufferH4[i] = 1.1*(iHigh(NULL,1440,y+1)-iLow(NULL,1440,y+1))/2+iClose(NULL,1440,y+1);
      ExtMapBufferH3[i] = 1.1*(iHigh(NULL,1440,y+1)-iLow(NULL,1440,y+1))/4+iClose(NULL,1440,y+1);   
      ExtMapBufferH2[i] = 1.1*(iHigh(NULL,1440,y+1)-iLow(NULL,1440,y+1))/6+iClose(NULL,1440,y+1);    
      ExtMapBufferH1[i] = 1.1*(iHigh(NULL,1440,y+1)-iLow(NULL,1440,y+1))/12+iClose(NULL,1440,y+1);
      
      ExtMapBufferL1[i] = iClose(NULL,1440,y+1)-(1.1*(iHigh(NULL,1440,y+1)-iLow(NULL,1440,y+1))/12);
      ExtMapBufferL2[i] = iClose(NULL,1440,y+1)-(1.1*(iHigh(NULL,1440,y+1)-iLow(NULL,1440,y+1))/6);
      ExtMapBufferL3[i] = iClose(NULL,1440,y+1)-(1.1*(iHigh(NULL,1440,y+1)-iLow(NULL,1440,y+1))/4);
      ExtMapBufferL4[i] = iClose(NULL,1440,y+1)-(1.1*(iHigh(NULL,1440,y+1)-iLow(NULL,1440,y+1))/2);
   
 
   
   }  
     
//
   
  
  
   return(0);
  }
//+------------------------------------------------------------------+